#!/bin/sh

set -e

if [ -z "$1" ]; then
	echo "Usage:"
	echo "./install.sh java_home_dir"

	exit 1
fi

javahome="$1"

if [ ! -e "$javahome/bin/javaws" ]; then
	echo "Invalid '$javahome' jre installation directory"
	exit 1
fi

cp javaws_jnlp.desktop /usr/share/applications
cp javaws_run.sh /usr/bin
chmod 755 /usr/bin/javaws_run.sh

xdg-mime default javaws_jnlp.desktop x-scheme-handler/jnlp
xdg-mime default javaws_jnlp.desktop x-scheme-handler/jnlps

update-alternatives --install /usr/bin/javaws javaws "$javahome/bin/javaws" 1
update-alternatives --set javaws "$javahome/bin/javaws"

echo "JNLP url handler registered successfully with $javahome"
